• The forum software that supports hummy.tv has been upgraded to XenForo 2.1!

    This upgrade brings a number of improvements including the ability to bookmark posts to come back to later. Please bear with us as we continue to tweak things and open a new thread for any questions, issues or suggestions in Site/Forum Issues.

Nicesplice Magic Folders

Black Hole

May contain traces of nut
If you want to ignore someone then try clicking on Members in top menu bar, find the member and in their profile click "ignore".
Anyone wishing to "ignore" my posts is welcome to... but as I have authored a significant proportion of the reference material on this forum, over 10% of the posts, and even quotes from my posts will become invisible if ignored, this would lose access to important details and make threads difficult to follow.

On the other hand, my equilibrium will no doubt improve enormously if I click "ignore" on Stardust.

I realise Stardust finds the nature of my guidance objectionable, but that seems to me the pot calling the kettle black. Here is somebody very happy to make use of the generous voluntary contributions of others, but complains about the lack of facilities for those unwilling to equip themselves appropriately to make best use of it. This is looking a gift horse in the mouth. I'm sorry, I see it as a two-way deal. It's like wanting to watch recordings but not being prepared to invest in a TV, or having a car but not putting petrol in it.

Stardust has had to make use of IT facilities to install and configure the CF in the first place – what gave him the idea he would then be able to carry on without IT?

From my Custom Firmware Quick Start Guide:
The Custom Firmware does not interfere with the normal day-to-day operation of the HD/HDR-FOX, and you will see no difference to the user interface on the TV screen (other than the custom TV portal, which is an optional install). Except under very specific circumstances, all interaction with the Custom Firmware (where necessary) is by way of the web browser interface and your PC (or other computing device).

I have no objection to somebody doing Stardust a favour and coming up with something to satisfy his request (albeit with an extremely limited audience); I think I would object to somebody doing that for money; and I would have preferred Stardust to have been much less vociferous (with implications of negligence to a duty of care) and more humble in making the request. He has no idea how all this works, how easy or difficult it would be, and too little experience on the forum to understand the dynamics of this completely voluntary project (providing documentation and support is just as much a contribution, and almost as vital, as creating code – and although it might sound like it, I don't just mean me).

We have no duty of care (beyond reasonable measures to ensure any software is not actually harmful): anyone using the Custom Firmware and associated software does so entirely of their own volition, at their own risk, and with their own responsibility to ensure they are sufficiently aware of the implications. If it doesn't do what they want, they always have the option not to use it and accept what Humax designed in off-the-shelf, as purchased.

Users of the custom firmware and software packages must please note that, although there are a great many satisfied users and the risks are very low, NO WARRANTY IS ACCEPTED OR IMPLIED and anyone installing it must do so AT YOUR OWN RISK.
 
Last edited:

Black Hole

May contain traces of nut
In case somebody is willing to pick this up:

I suggest the crop process is sent a switch to invert the crop selection if an indicator dummy folder is present in the nicesplice magic folder, eg any folder name commencing "[invert" (case insensitive). This should avoid any modifications to the nicesplice binary.
 
Last edited:

Stardust

Member
You're not the first person to want the ability to delete an intial section up to a bookmark, though to do so with Magic Folders is novel.

I can see that there doesn't seem to be an easy way to set a bookmark at the exact start of a recording using the remote, which is disappointing.

As to "strange reasons", remember that the Humax stores the video data in recordings using MPEG compression (as transmitted by the TV station), where (roughly) there is every so often a key frame containing an entire picture, and the intervening frames are stored as differences relative to the key frame. Consequently, if a video edit is made at a frame that isn't a key frame (and even then perhaps not -- see below), the whole section from the last key frame before the edit to the next one after the edit has to be re-encoded. Our machines don't have the processing power to do this (there is video co-processing hardware for decoding, but even that is not accessible to a program like nicesplice). If it were done, the re-encoded segment would lose resolution compared to the rest of the video.

As the author of nicesplice wrote:

Elsewhere in the quoted thread, it is suggested that the cut-point for an "out" bookmark (bookmarks 1, 3, etc) is the next I-frame. Normally this would be the right thing, but not if the bookmark is meant to be at the start of the recording; as a result you might get a short, possibly corrupted, chunk from the start of the recording followed by the wanted final section.

In passing I wonder if the corruption mentioned occurs when the encoding of intermediate frames references the next key frame as well as the previous one: if so, it should be fixed by retaining the final I(key)-frame at the point of the cut before the I-frame at the beginning of the next section.

Whereas Nicesplice Magic Folders is a text package, nicesplice itself is a binary package and its source hasn't reached the project server. @Drutt was the original author, but no longer active here; perhaps @MymsMan can suggest how issues in nicesplice should be addressed.

@/df

What a wonderful detailed description of the problem i'm having :) - can i say a MASSIVE thank you for that, it is very much appreciated.

I'm probably the only non-techie on this forum and i know i'm going to frustrate some members on here especially senior ones (or the person last night who was very rude in his reply to another post of mine!), but i think we should all be friendly to one another and accepting that we are all of different levels on here, especially those readers/viewers who watch from a far (such as myself until joining yesterday).

I like the way you were talking to me as if "i was a five year old" - it's idiot proof that way, but i do appreciate most members would think i'm simple-minded and would prefer themselves to talk in "high-level" language that low-level readers simply can't understand.

So with that, i only really understood a portion of what you wrote "/df" but i got the thrust of what you meant.

Back to the matter in hand.... thank you for shedding some clarity as to why the first bookmark placed will probably not be in the exact position required, especially for those who want to archive a 'perfect' recording to their external usb-hdd for long-term keeping.

Generally in my experience of editing via the remote control, the second bookmark placed is always 100% perfect (it will always stop at that exact point/frame, and not before or after, unlike the first mark) - i use this feature a lot when saving HD movies when i want a perfect "cut" to remove adverts during, or after the film has finished. I know that a lot of people would live with the problem happily, but as there is a tool to get a (in my mind) "perfect cut" (the frame you want it at) via the Web-if, i was hoping to get the same feature for us remote-control-only users in the form of a so called [invert cut], starting from position 0 option, in the Nicesplice Magic Folders: EDIT, for example.

Obviously if some kind sole would like to take up the challenge of creating a "Bookmark position 0" or an "Inverted cut" option, this would help us specific users to save content right from the top of the recording until either the end of the recording, or the first advert break (second bookmark point) without the 4-second missing portion that i mentioned at the start of my post (post #24). Thanks to "/df", i now understand the reasons why as soon as the recording resumes after the advert (ie. post cut) there will always be some corruption when re-attaching it, due to the reason you mentioned above.

Alas it seems the only way round this corruption/missing portion is to use a third party software and hopefully try to get "tv broadcast" quality cut/joins, as if the adverts were never there - or possibly insert a 2-3 second blank (black) screen, as i've noticed on some american tv content (where they have an ad break every 5 minutes!), such as Family Guy on BBC Three a few years back, compared with the ITV2's broadcast now).

....actually i've noticed that some movies do this upon a scene change for 'dramatic effect' reasons - so possibly inserting a "black screen" section when joining the two pieces might work, to help mask the join....?

Thank you all for taking the time to read my very long post here, and i hope someone will help with my "Bookmark position 0" request. Let me know if i can be of any help in someway. I only wish i knew how to code/programme to create my own CF Packages.

(actually is there a "How To" site that i can learn how to create Packages? - it will save me bugging you guys all the time)

Cheers
 
Last edited:

Eric

Member
@/df
......or possibly insert a 2-3 second blank (black) screen, as i've noticed on some american tv content (where they have an ad break every 5 minutes!), such as Family Guy on BBC Three a few years back, compared with the ITV2's broadcast now).

....actually i've noticed that some movies do this upon a scene change for 'dramatic effect' reasons - so possibly inserting a "black screen" section when joining the two pieces might work, to help mask the join....?

yes ive noticed that on some content which was broadcast on BBC and then shown at a later date elsewhere with ads in them there are scene change black segments (like fade in-fade out) for 2sec or so, almost deliberate as if the programme/movie maker were factoring in a network broadcasters ad break? its most notably during a movie, which is a nice thing. perhaps we could use the same physiology for cuts and joins on the hummy to mask the corruption?
 

/df

Active Member
... there are scene change black segments (like fade in-fade out) for 2sec or so, almost deliberate as if the programme/movie maker were factoring in a network broadcasters ad break? ...
Definitely a thing.
...perhaps we could use the same physiology for cuts and joins on the hummy to mask the corruption?
We're limited to the video data provided by the broadcaster for on-box editing.

For instance around an ad break, there may be a pair of identical black frames or station ident frames (or both), which (being different from the programme and ad material) generally get encoded by the broadcaster as key frames ("scene change"). If all the frames from the first of this pair up to (not including) the second are deleted, the resulting video should continue with no glitch over the cut-point.

Of course, if you take your recording elsewhere there are lots of possibilities, but video encoding is an area with a lot of pitfalls -- badly encoded broadcast material, badly implemented software, maybe even poorly specified (or almost incomprehensible) standards.
 

/df

Active Member
Anyone wishing to "ignore" my posts is welcome to... but as I have authored a significant proportion of the reference material on this forum, over 10% of the posts, and even quotes from my posts will become invisible if ignored, this would lose access to important details and make threads difficult to follow. ...
Are you in fact telling @Stardust to "Hang On To Yourself" and not be such a "Queen Bitch" because hacking the Hummy, "It Ain't Easy", and some feature requests might take "Five Years"?
...
I suggest the crop process is sent a switch to invert the crop selection ...
The logic of cutting at bookmarks is built into nicesplice. The way to make it excise the start of a recording is to add a (dummy) bookmark at position 0. You can either have that as an explicit Magic Folder function or tie it into an "Invert cut" Magic Folder (not necessarily mutually exclusive nor exhaustive options).

The former option might work something like this (untested diff against latest nicesplice-magic-folders, also fixing a couple of shellcheck nits):
Code:
--- /mod/sbin/editmonitor 2012-11-14 22:27:32
+++ /mod/sbin/editmonitor 2019-04-08 12:01:59
@@ -19,6 +19,7 @@
 cutpath=$editpath/\[cut]
 joinpath=$editpath/\[join]
 duplicatepath=$editpath/\[make\ copy]
+bmk0path=$editpath/\[bookmark\ start]
 tsrpath=$editpath/\[tsr]
 
 editor=/mod/bin/nicesplice
@@ -26,11 +27,19 @@
 sed=/mod/bin/busybox/sed
 hmt=/mod/bin/hmt
 
+# Is there an initial bookmark in a .hmt?
+bookmark0P() { # basename
+       local bmks
 
+       bmks="$("$hmt" -bookmarks "$1")"
+       [ "${bmks#0 }" != "$bmks" ] 
+}
+
 if [ ! -d "$editpath" ]; then          # add helper coments if creating for the 1st time
        mkdir -p "$cutpath/(Move file here with bookmarks marking cut points)"
        mkdir -p "$joinpath/(Move files to section folders to join them)"
        mkdir -p "$duplicatepath/(Move file here to create duplicate)"
+       mkdir -p "$bmk0path/(Move file here to set an initial bookmark in the recording)"
 fi
        
 mkdir -p "$cutpath/done"
@@ -44,11 +53,14 @@
 mkdir -p "$duplicatepath/done"
 mkdir -p "$duplicatepath/original"
 
+mkdir -p "$bmk0path/done"
+mkdir -p "$bmk0path/original"
+
 mkdir -p "$tsrpath/GrabCurrentTimeShift?"
 mkdir -p "$tsrpath/GrabPreviousTimeShift?"
 
 
-while [ 1 ]
+while true
 do
        timestamp=$("$date" +%d%m%y%H%M%S)
 
@@ -64,7 +76,7 @@
                                echo "Edit of $basename failed (file may still be copying)"
                        else
                                echo "Edited $basename! - moving to done"
-                               mv "$basename"-cut$timestamp.* done             
+                               mv "$basename"-cut$timestamp.* done/    
                                mv "$basename".* original
                        fi
                fi
@@ -87,7 +99,7 @@
                                echo "Join of $section1basename and $section2basename failed (file may still be copying)"
                        else
                                echo "Joined $section1basename and $section2basename! - moving to done"
-                               mv "$section1basename"-joined$timestamp.* done          
+                               mv "$section1basename"-joined$timestamp.* done/
                                mv "$section1basename".* original
                                mv "$section2basename".* original
                        fi      
@@ -106,6 +118,31 @@
                        done
                        mv "$basename".* original
                        echo "Duplicated $basename"
+               fi
+       done
+
+       #check for pending bookmark 0 set
+
+       cd "$bmk0path"
+       for name in *.hmt; do
+               basename=${name%.hmt}
+               [ -f "$basename.nts" ] || continue
+               if bookmark0P "$basename"; then 
+                       echo "$basename already has an initial bookmark"
+                       mv "$basename".* done/
+               else
+                       echo "Setting initial bookmark in $basename"
+                       cp "$name" "$basename"-bmk0.hmt
+                       "$hmt" +addbookmark=0 "$basename"-bmk0
+                       if bookmark0P "$basename"-bmk0 && 
+                                       mv "$basename"-bmk0.hmt done/"$name" &&
+                                       cp -n "$basename".* done/; then
+                               echo "Set initial bookmark in $basename"
+                       else
+                               rm -f "$basename"-bmk0.hmt
+                               echo "Failed to set initial bookmark in $basename"
+                       fi
+                       mv "$basename".* original/
                fi
        done
To test this, supposing you have saved the above as editmonitor.diff, you have to stop the editmonitor process, install the patch, and reinitialise the magic folders (make sure you have cleared out any precious recordings from them):
Code:
/mod/etc/init.d/S70editmonitor stop
cp -n /mod/sbin/editmonitor /mod/sbin/editmonitor.bak
patch -i editmonitor.diff /mod/sbin/editmonitor 
rm -rf /media/*/\[edit]
/mod/etc/init.d/S70editmonitor start
Then check /tmp/editMonitor.log, initially, and then after copying a recording to the [edit]/[bookmark start] folder.

What a wonderful detailed description of the problem i'm having :) - can i say a MASSIVE thank you for that, it is very much appreciated.
...
(actually is there a "How To" site that i can learn how to create Packages? - it will save me bugging you guys all the time)
Aiming to please. Obvs check the Wiki for this "How To" but it does assume that you have the use of a Linux computer or something that will enable you to get a shell session (telnet or webshell) on your (or a) Humax. You would, I think, be diving into the Deep End.

According to @Drutt you should be seeing any corruption before the cut position, not after: what do people find? (I normally use bookmarks for Ad Detection without cropping, but I haven't seen corruption using Magic Folders to join 2-part broadcasts).
 
Last edited:

Eric

Member
Definitely a thing.

We're limited to the video data provided by the broadcaster for on-box editing.

For instance around an ad break, there may be a pair of identical black frames or station ident frames (or both), which (being different from the programme and ad material) generally get encoded by the broadcaster as key frames ("scene change"). If all the frames from the first of this pair up to (not including) the second are deleted, the resulting video should continue with no glitch over the cut-point.

Of course, if you take your recording elsewhere there are lots of possibilities, but video encoding is an area with a lot of pitfalls -- badly encoded broadcast material, badly implemented software, maybe even poorly specified (or almost incomprehensible) standards.
@/df

cool thanks for taking the time to write back :)
 

Stardust

Member
The logic of cutting at bookmarks is built into nicesplice. The way to make it excise the start of a recording is to add a (dummy) bookmark at position 0. You can either have that as an explicit Magic Folder function or tie it into an "Invert cut" Magic Folder (not necessarily mutually exclusive nor exhaustive options).
@/df
@af123

If i had know my request yesterday was going to "all kick off" today, i wouldn't of asked for it in the first place! LOL

Please all excuse my new-ness and my lack of following the proper procedure, i thought this forum was all about raising things/topics/package requests etc. freely. I didn't know that Black Hole had the final say or has permission to be dismissive to newbie ideas - is he the boss or something? (serious question as i don't know the hierarchy).

So what's the correct channel to ask for package requests then?

Anyway, i joined yesterday to raise topics etc. that might help us all, not just for me - and i truly believe that, not only is this 'invert cut' request desired by myself, but also to others who i've spoken to about offline, ie. non-members/family etc.

Unfortunately people of a certain age like myself, don't always have a PC regularly or internet connection at home etc etc. so as to make use of the wonderful Web-if, so using those features on there (in my opinion) should always be available to 'remote-control-only' users also - where possibly.

Can i make a suggestion to all you package creators, senior members and moderators - that if we come up with an idea or package enhancement or brand new request, we poll it to see the popularity of it over several weeks?

But we'd need to be consistent and do all package requests that way, to make it fair for everyone.

....or is that already a thing? lol

We could then create a "things to do/things being done etc" - file/spreadsheet (accessible to all) - and also to be able to select them by rank of popularity in order to focus all our efforts on the priority ones. That way, not only would we know if our individual requests were successful - (ie. a certain CF package is going to be created or amended at some point, as in my case with regards to nicesplice magic folders - [invert cut] suggestion) - BUT we would know how likely it would be actioned soon, based on a "league table" of sorts.

It would be a good idea to have the names of the members working on them so as not to keep sending out messages generically (as i think i may have done), and then be able to communicate with the package creators directly, for testing, enhancement ideas etc.

Any thoughts guys/gals

many thanks
 
Last edited:

Stardust

Member
According to @Drutt you should be seeing any corruption before the cut position, not after: what do people find? (I normally use bookmarks for Ad Detection without cropping, but I haven't seen corruption using Magic Folders to join 2-part broadcasts).

@/df

My experience of using this myself over the last year or so, is actually the opposite - ie. you always loose approx 4 seconds of content after any bookmark position - by using the remote control version anyway. Happy to send a demo of this is it helps...?

The reason being, it's seems, the software/package needs that 4-sec time/frames to stitch onto the new segment - as when playing the full recording after the cut/edit has been completed, you get to the cut point and then there is approx 4-sec of pix fuzz.

Also as i may of already mentioned somewhere i use this a lot for trimming HD movies, so when i've placed my final cut mark (bookmark) at the end of the film, then when watching the end of it, it just ends the recording and goes back to the 'My Video' screen seamlessly. If it were the case as you suggested, then i would see the pix fuzz right before the film recording ends. ie. right before the bookmark was originally placed - does that makes sense, or did i over write/explain as usual?

kind regards
 

Stardust

Member
Obvs check the Wiki for this "How To" but it does assume that you have the use of a Linux computer or something that will enable you to get a shell session (telnet or webshell) on your (or a) Humax. You would, I think, be diving into the Deep End.
To: ALL & @/df & @af123

I hope i won't get into trouble for this message but if there is anyone who lives in London or the surrounding areas that wants to "teach an old dog new tricks" and tutor me on how to create CF packages, i'd be a willing student.

I know that BH had a very sensitive approach to money exchanging hands etc, BUT i would be paying for your time, just like any other tutor professional in the real world - or contribute in some other way.... walking the dog, choirs around the home etc. all legitimate stuff mind, lol.

I would like to learn a new trade to keep my 69 year old brain active, and it would also give you guys a break from me, as i have lots and lots of suggestions, improvements new package ideas etc. from a real world perspective/user using the remote control only.

I'm not a Web-if 100% user, but will go on there when i need to to update or add a new package etc.

My rational is that is you can't do it from the comfort of you living room sofa, or bed, then it isn't truly user friendly - (or should that be the lazy way of using CF?).

Obviously if i had the money or the inclination to splash out on £££££ of hardware, and the internet (that i would never use ever), as suggested by (or was that DEMANDED by BH yesterday ...which continued on-to today, leading to WW3 earlier!) - then of course i would do that and then access the Web-if via a laptop, or smartphone etc.

...but alas, i only want and use the normal remote control, so i'm seeking remote control CF packages only

Once i know how to create a CF package i can leave you guys in peace and create tons of them for my own personal use, if that's what the mainstream want to think. But i really do think that IF i want it, others will want it also (maybe eventually but so what)

I would then be able to go to my grandsons at the weekend to use his PC and internet to create them, you see.

SO, any takers?

Thanks for listening
 
Last edited:

af123

Administrator
Staff member
So what's the correct channel to ask for package requests then?
Either create a new thread in the customised firmware forum, or append to a package-specific thread as you have done here.

Can i make a suggestion to all you package creators, senior members and moderators - that if we come up with an idea or package enhancement or brand new request, we poll it to see the popularity of it over several weeks?
I don't see any benefit in doing that. The limited developers that work on this project will generally work on things that are useful to them or that they find interesting, and only then as time allows. It isn't a fair system, the most popular ideas would not necessarily be implemented first and something akin to a league table wouldn't help.

Your request for this package does not seem particularly hard; you may be lucky and find somebody willing to put the time in.
 

Stardust

Member
Either create a new thread in the customised firmware forum, or append to a package-specific thread as you have done here.

I don't see any benefit in doing that. The limited developers that work on this project will generally work on things that are useful to them or that they find interesting, and only then as time allows.
@af123

- Thanks for clarifying that

- Fair enough, just a thought. Incidentally, how many developers or CF package creators would you say are out there?

Thank you for taking the time to reply back - and on behalf of myself and the users that were speaking up for me today, against BH weird attitude (at least to me), sorry if it caused you any stress. I see that you are long standing friends/collaborators - but having said that, if you could have a quiet word with him (offline) i would appreciate it. If nothing else, but to show him how his comments can be very jarring, and not helpful or constructive.

And it's not just me that feels that way.

If he could tone it down and be more pleasant and respectful with his views, or the wording itself, i would be eternally grateful -after all i'm just trying to be part of the team here and suggest, or if i'm lucky with someones tutorial, also create new content for all.

Much obliged
 
Last edited:

MartinLiddle

Super Moderator
Staff member
Incidentally, how many developers or CF package creators would you say are out there?
I would guess around twenty; some fairly consistently contribute; some contribute and then vanish for a long time and then return and some haven't been here for a long time.

If BH could tone it down and be more pleasant and respectful with his views, or the wording itself, i would be eternally grateful .
How people choose to represent themselves here is their choice; the moderators will step in when they feel it appropriate to try and keep a reasonable tone to discussion. I am afraid you will find that a number of the skilled developers are given to plain speaking and you will have to find a way to live with it.

Perhaps you could give us an outline of your skill level in computer programming so that we can judge how much effort would be required to impart the necessary knowledge to you.
 

MymsMan

Ad detector
This post got moved to the other thread but, I think, belongs here because it explains that I am not ruling out implementing the requested feature but that I wouldn't do it in the near future.

I can't speak for the other software developers on the Humax but I think it is fair to say that in general:
  • We are not motivated by money, no-one makes a penny from the work and if we were paid minimum wages no one could afford to use the CF
  • I am retired and the only people allowed to tell me what to do with time are the wife and granddaughter :)
  • We only work on things that:
    • Are useful to us personally
    • Are an interesting challenge
    • Are useful to a significant number of other
  • I have a long to do list of potential projects (Humax and otherwise), SWMBO has a different and longer list :( I don't know how I ever found time for paid work.
  • I am a Master of Procrastination and can always find something more interesting to do
I am probably the current owner of nicesplice and magic folders in @Drutt's absence since I needed to make changes to support detectads but personally I don't use the Magic folders functionality so would not use it, nor is it a sufficiently interesting challenge for me to rank it highly on my to-do list.

However all is not lost in that it does tie in with one of my other pipe dreams and the invert crop and decrypt magic folders might form part of that item, if it ever gets off the ground. I have long given up projecting completion dates so it could be later this year or never.
 

Stardust

Member
....I would guess around twenty (developers ); some fairly consistently contribute; some contribute and then vanish for a long time and then return and some haven't been here for a long time.

@MartinLiddle

....i don't know why but for some reason i thought it would be in the high double-digits (although not all logged-in at the same time). Possibly i assumed there were over 100-200 active members signed-up on here (given the amount of HDR-Fox T2 machines originally sold and still in use today), so maybe i thought the ratio was 1 in 2 creators/developers to non-techies (like myself). I was just curious that's all.

It does now make me appreciate that because developers are so thin on the ground, with an ever increasing list of things to do (CF package creation, modernising/improving etc), there's simply not enough time/resource to do it, thus prioritising is an actual must!

In future, when i create a thread with a "simple" request - relatively speaking, it's most probably going to be very low on someone's else's job list!

This makes me even more determined to learn how to create packages to help out, and give something back the community :)


How people choose to represent themselves here is their choice....
....a number of the skilled developers are given to plain speaking and you will have to find a way to live with it
....yes i'm starting to see that. I'm an oap so i'm not used to brashness, it wasn't a thing back in my day. Thanks for the 'heads-up' Martin


Perhaps you could give us an outline of your skill level in computer programming
....i'm afraid to say i'm a back seat driver when it comes to actual programming i'm afraid. I know it's not the news you guy's wanted to hear but i hope to contribute in other ways if possible. I have however (in another post) made a request for someone to tutor me, but it's clear now that i'm simply too old - so i may have to hand over the reigns to my grandson. He's got some basic knowledge and i know he would be open to a crash course if there was someone in our area who wanted to be our sponsor? Let me know via a private message, i think that's best rather than arranging though here. The request was in post #51
 
Last edited:

Stardust

Member
.....This post got moved to the other thread but, I think, belongs here because it explains that I am not ruling out implementing the requested feature but that I wouldn't do it in the near future.

.....However all is not lost in that it does tie in with one of my other pipe dreams and the invert crop and decrypt magic folders might form part of that item, if it ever gets off the ground

to: @MymsMan
cc: @/df

Sounds great! No time pressure from me, i'm just glad to hear it's on someone's job list - many thanks :)
In case you hadn't seen this post, a colleague of yours has made a start i think....[post #46]

Indecently, you mentioned "....decrypt magic folders...." are you saying you want to create a special folder on the 'My Video' screen, where you simply use the remote control to place a recording there, adhoc, to be automatically decrypted, similar to how the Magic Folder [edit] operates now (ie. automated)...?

....if so, thank god! - i've been after that feature for years.

I was going to suggest that the current [edit] folder be made to also 'decrypt' (kill 3 birds with 1 stone, as it were) - as it already includes the Stripts routine [link] - (or is that only when Editing Via Web-If..?) - therefore giving us an [edit & decrypt] folder. If i'm reading you correctly, your additional "magic folder" [decrypt] would be a much better idea for CF 'remote-control-only-users'.

I don't own an external usb-hdd, as due to the hummy's old age, both it's USB-Ports are non-functional now, so i've resorted to using the Virtual-USB to decrypt content instead [#post] - however that does have it's downsides [#post and #post], where i'm also trying to avoid the Web-if where possible.

I seem to remember that @af123 created this feature (virtual-usb) some years back to allow the Hummy "to see" external drives larger than 4TB - due to it being necessary "....to use a partitioning scheme called GUID Partition Table (GPT)" [link] - and therefore make these larger usb-hdd's visible once connected (if i'm not mistaken).

I personally would prefer to decrypt your way @MymsMan - a magic [decrypt] folder - rather than another alternative "on the fly", due to several reasons already mentioned by another member elsewhere [#post] and [#post] ...onwards.

I know us CF 'Remote-Control-Only' users are a pain in the backside, but if someone wants to create features for it, i'd definitely vote for them! - there may be others out there who would also make use of them, but were afraid to ask.
 
Last edited:

MartinLiddle

Super Moderator
Staff member
....i'm afraid to say i'm a back seat driver when it comes to actual programming i'm afraid. I know it's not the news you guy's wanted to hear but i hope to contribute in other ways if possible.
There are lots of members who make valuable contributions to the Forum without ever writing a line of code. Suggesting new requirements or pointing out things that are awkward to do or reporting bugs or just asking for advice on the best way to accomplish a task. Any Forum like this needs a mix of developers, people with technical skills and users to flourish.
 

Stardust

Member
....i'm afraid to say i'm a back seat driver when it comes to actual programming i'm afraid. I know it's not the news you guy's wanted to hear but i hope to contribute in other ways if possible.
There are lots of members who make valuable contributions to the Forum without ever writing a line of code. Suggesting new requirements or pointing out things that are awkward to do or reporting bugs or just asking for advice on the best way to accomplish a task. Any Forum like this needs a mix of developers, people with technical skills and users to flourish.

Ah, you're too kind - THANKYOU :)
 

Mclaren

New Member
My experience of using this myself over the last year or so, is actually the opposite - ie. you always loose approx 4 seconds of content after any bookmark position - by using the remote control version anyway. Happy to send a demo of this is it helps...?
@/df - yes i experience the same, lose a small amount of content after the bookmark placement when using the normal remote control function. i hope that helps?
 
Last edited:
Top